> ## Documentation Index
> Fetch the complete documentation index at: https://docs.altur.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Thread

> Returns the Thread corresponding to the given identifier



## OpenAPI

````yaml GET /thread/{id}
openapi: 3.0.1
info:
  title: Altur API
  description: >-
    An API aimed to allow third-party developers to interact with the Altur
    platform through a RESTful interface.
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.altur.io/api/v1.0
security:
  - apiKeyAuth: []
paths:
  /thread/{id}:
    get:
      description: Returns the Thread corresponding to the given identifier
      parameters:
        - name: id
          in: path
          description: The identifier of the Thread to return
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Thread response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Thread'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Thread:
      type: object
      properties:
        id:
          description: Unique identifier for the Thread
          type: string
        agent:
          $ref: '#/components/schemas/Agent'
        end_user:
          $ref: '#/components/schemas/EndUser'
        integration:
          $ref: '#/components/schemas/Integration'
        updated_at:
          description: Last time the Thread was updated
          type: string
          format: date-time
        active:
          description: >-
            Boolean describing if automatic responses by the Agent are active on
            this Thread
          type: boolean
        blocked:
          description: Boolean describing if Thread is blocked
          type: boolean
        tags:
          description: Tags assigned to Thread
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        assigned_to:
          description: Users assigned to Thread
          type: array
          items:
            $ref: '#/components/schemas/User'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Agent:
      type: object
      properties:
        id:
          description: Unique identifier for the Agent
          type: string
          format: uuid4
        name:
          description: Name of the Agent
          type: string
    EndUser:
      type: object
      properties:
        id:
          description: Unique identifier for the EndUser
          type: string
          format: uuid4
        display_name:
          description: EndUser's display name
          type: string
        integration_type:
          description: Enum representing the Integration's channel
          type: string
          enum:
            - api
            - whatsapp
        info:
          description: >-
            EndUser's information valuable for interactions with Agents or human
            agents
          type: string
      required:
        - id
        - display_name
        - integration
    Integration:
      type: object
      properties:
        id:
          description: Unique identifier for the Integration
          type: string
        type:
          description: Enum representing the Integration's channel
          type: string
          enum:
            - api
            - whatsapp
      required:
        - id
        - type
    Tag:
      type: object
      properties:
        id:
          description: Unique identifier for the Tag
          type: string
        name:
          description: Name given to the Tag
          type: string
        color:
          description: Color used for in-app display of Tag
          type: string
          enum:
            - blue
            - green
            - red
            - pink
            - purple
            - orange
            - yellow
      required:
        - id
        - name
        - color
    User:
      type: object
      properties:
        id:
          description: Unique identifier for the User
          type: string
        email:
          description: User's email address
          type: string
        first_name:
          description: User's first name
          type: string
        last_name:
          description: User's last name
          type: string
      required:
        - id
        - email
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Add `api-key YOUR_API_SECRET_KEY` as the value of the `Authorization`
        header.

````